import AuthService from '../auth-service';

/**
 * 请假明细权限服务对象基类
 *
 * @export
 * @class VacLeaveDetailAuthServiceBase
 * @extends {AuthService}
 */
export default class VacLeaveDetailAuthServiceBase extends AuthService {

    /**
     * Creates an instance of  VacLeaveDetailAuthServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  VacLeaveDetailAuthServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 根据当前数据获取实体操作标识
     *
     * @param {*} mainSateOPPrivs 传入数据操作标识
     * @returns {any}
     * @memberof VacLeaveDetailAuthServiceBase
     */
    public getOPPrivs(mainSateOPPrivs:any):any{
        let curDefaultOPPrivs:any = JSON.parse(JSON.stringify(this.defaultOPPrivs));
        if(mainSateOPPrivs){
            Object.assign(curDefaultOPPrivs,mainSateOPPrivs);
        }
        return curDefaultOPPrivs;
    }

}